# Uses of Class
it.tdlight.jni.TdApi.InputStoryAreas

## Uses of TdApi.InputStoryAreas in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.InputStoryAreas
Modifier and Type
Field
Description
`TdApi.InputStoryAreas`
TdApi.EditStory.`areas`
New clickable rectangle areas to be shown on the story media; pass null to keep the current areas.
`TdApi.InputStoryAreas`
TdApi.SendStory.`areas`
Clickable rectangle areas to be shown on the story media; pass null if none.
Constructors in it.tdlight.jni with parameters of type TdApi.InputStoryAreas
Modifier
Constructor
Description
``
`EditStory(long storySenderChatId, int storyId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption)`
Changes content and caption of a story.
``
`SendStory(long chatId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption, TdApi.StoryPrivacySettings privacySettings, int activePeriod, TdApi.StoryFullId fromStoryFullId, boolean isPinned, boolean protectContent)`
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats.